JTS Topology Suite version 1.13

## com.vividsolutions.jts.geom
Interface GeometryComponentFilter

All Known Implementing Classes:
  ComponentCoordinateExtracter, LinearComponentExtracter

    public interface GeometryComponentFilter

`Geometry` classes support the concept of applying a `GeometryComponentFilter` filter to the `Geometry`. The filter is applied to every component of the `Geometry` which is itself a `Geometry` and which does not itself contain any components. (For instance, all the `LinearRing`s in `Polygon`s are visited, but in a `MultiPolygon` the `Polygon`s themselves are not visited.) Thus the only classes of Geometry which must be handled as arguments to `filter(com.vividsolutions.jts.geom.Geometry)` are `LineString`s, `LinearRing`s and `Point`s.

A `GeometryComponentFilter` filter can either record information about the `Geometry` or change the `Geometry` in some way. `GeometryComponentFilter` is an example of the Gang-of-Four Visitor pattern.

Version:
  1.7

Method Summary
`void` `filter(Geometry geom)` Performs an operation with or on `geom`.

Method Detail

### filter

    void filter(Geometry geom)

  Performs an operation with or on `geom`.

  Parameters:
    `geom` - a `Geometry` to which the filter is applied.

JTS Topology Suite version 1.13